Bug 528947 - virtinst: Creating LVM volume on QEMU during VM creation fails
virtinst: Creating LVM volume on QEMU during VM creation fails
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-10-14 09:29 EDT by Daniel
Modified: 2009-12-03 18:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 18:48:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-manager.log when trying to clone (3.34 KB, application/octet-stream)
2009-10-14 09:29 EDT, Daniel
no flags Details

  None (edit)
Description Daniel 2009-10-14 09:29:38 EDT
Created attachment 364749 [details]
virt-manager.log when trying to clone

Description of problem:
I try to clone a paused, or shut down VM with virt-manager. When I select the clone option I get this error:

Erreur lors de la définition des paramètres du clone : Could not use path '['/dev/data/cos5-clone']' for cloning: 'LogicalVolume' object has no attribute 'format'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 744, in clone_domain
    clone_window.show()
  File "/usr/share/virt-manager/virtManager/clone.py", line 138, in show
    self.reset_state()
  File "/usr/share/virt-manager/virtManager/clone.py", line 183, in reset_state
    self.populate_storage_lists()
  File "/usr/share/virt-manager/virtManager/clone.py", line 488, in populate_storage_lists
    self.clone_design.clone_devices = new_disks
  File "/usr/lib/python2.6/site-packages/virtinst/CloneManager.py", line 227, in set_clone_devices
    (devpath, str(e)))
ValueError: Could not use path '['/dev/data/cos5-clone']' for cloning: 'LogicalVolume' object has no attribute 'format'

This VM is installed on a LVM logical volume (pool name data, volume group /dev/data)

Version-Release number of selected component (if applicable):

libvirt 0.7.1 (running on a CentOS 5.4 x86_64 host)
virt-manager 0.8.0-7 (from http://markmc.fedorapeople.org/virt-preview/f11/x86_64/) on Fedora 11 x86_64

How reproducible:
Always. At least when disk is backed by an LVM pool (haven't tried with file as backend)


Steps to Reproduce:
1. 
2.
3.
  
Actual results:
Get a traceback


Expected results:
Clone should work

Additional info:
on another desktop running ubuntu, I used a slightly older release (0.8-3) for virt-manager, from the same repo, converted to .deb using alien. Cloning is working.
Comment 1 Cole Robinson 2009-10-21 10:52:42 EDT
Thanks for the report. This actually a virtinst bug, now fixed upstream:

http://hg.fedorahosted.org/hg/python-virtinst/rev/7df4e1b4e25e
Comment 2 Mark McLoughlin 2009-10-29 12:42:08 EDT
adding to F12VirtTarget
Comment 3 Cole Robinson 2009-12-03 18:48:14 EST
This should be fixed in python-virtinst-0.500.1-1.fc13 which will be in the next rawhide compose.

Note You need to log in before you can comment on or make changes to this bug.